Delete (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql
Class Delete

    java.lang.Object
      org.hibernate.sql.Delete

    public class Delete

extends Object

An SQL `DELETE` statement

Constructor Summary
`Delete()`

Method Summary
`Delete` | `addPrimaryKeyColumn(String columnName, String valueExpression)`
`Delete` | `addPrimaryKeyColumns(String[] columnNames)`
`Delete` | `addPrimaryKeyColumns(String[] columnNames, boolean[] includeColumns, String[] valueExpressions)`
`Delete` | `addPrimaryKeyColumns(String[] columnNames, String[] valueExpressions)`
`Delete` | `addWhereFragment(String fragment)`
`Delete` | `setComment(String comment)`
`Delete` | `setPrimaryKeyColumnNames(String[] columnNames)`
`Delete` | `setTableName(String tableName)`
`Delete` | `setVersionColumnName(String versionColumnName)`
`Delete` | `setWhere(String where)`
`String` | `toStatementString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Delete

    public Delete()

Method Detail

### setComment

    public Delete setComment(String comment)

### setTableName

    public Delete setTableName(String tableName)

### toStatementString

    public String toStatementString()

### setWhere

    public Delete setWhere(String where)

### addWhereFragment

    public Delete addWhereFragment(String fragment)

### setPrimaryKeyColumnNames

    public Delete setPrimaryKeyColumnNames(String[] columnNames)

### addPrimaryKeyColumns

    public Delete addPrimaryKeyColumns(String[] columnNames)

### addPrimaryKeyColumns

    public Delete addPrimaryKeyColumns(String[] columnNames,
                                       boolean[] includeColumns,
                                       String[] valueExpressions)

### addPrimaryKeyColumns

    public Delete addPrimaryKeyColumns(String[] columnNames,
                                       String[] valueExpressions)

### addPrimaryKeyColumn

    public Delete addPrimaryKeyColumn(String columnName,
                                      String valueExpression)

### setVersionColumnName

    public Delete setVersionColumnName(String versionColumnName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.